<?
if($_POST)
{
$id_catalog=0;
$id_region=0;
$name_reg='all';
$name_cat='all';

for($i=0; $i<4; $i++)
	{
	if($_POST['razdel_'.$i]) $id_catalog=intval($_POST['razdel_'.$i]);
	if(isset($_POST['razdel_'.$i])) unset($_POST['razdel_'.$i]);
	
	if($_POST['region_'.$i]) $id_region=intval($_POST['region_'.$i]);
	if(isset($_POST['region_'.$i])) unset($_POST['region_'.$i]);
	
	if($_POST['name_reg_'.$i]) $name_reg=$_POST['name_reg_'.$i];
	if(isset($_POST['name_reg_'.$i])) unset($_POST['name_reg_'.$i]);
	
	if($_POST['name_cat_'.$i]) $name_cat=$_POST['name_cat_'.$i];
	if(isset($_POST['name_cat_'.$i])) unset($_POST['name_cat_'.$i]);
	}
	
	
if($_POST['text_search'])
	{
	function _pred ($a)
		{
		$a=strip_tags($a);
		$a=str_replace("`","",$a);
		$a=str_replace("'","",$a);
		$a=str_replace('"',"",$a);
		$a=str_replace("&","",$a);
		$a=str_replace("=","",$a);
		$a=str_replace('javascript',"",$a);
		$a=trim($a);
		$a=urlencode($a);
		return $a;
		}
	$_POST['text_search']=_pred ($_POST['text_search']);
	}	

if(!$_POST['text_search'] && $_POST['sz']) unset($_POST['sz']);
	
if($_POST['id_firm'])	
$per='_'.$_POST['id_firm'].'/';
else
$per='magazin/';
	
if($id_catalog || $id_region)
$adres=$per.$name_cat."_".$id_catalog."/".$name_reg."_".$id_region."/";
else
$adres=$per;

$no_index_arr = array(
"id_firm",
"submit",
"submit_x", 
"submit_y"
);

$zapros="";
$i=0;
foreach($_POST as $index=>$po)
	{
	if(is_array($po))
		{
		foreach($po as $ind=>$p)
			{
			if($p)
				{
				if($i)
				$zapros .= "&";
				$zapros .= $index."[".$ind."]=".$p;
				$i++;
				}
			}
		}
	else 
		{
		if($po && !in_array($index, $no_index_arr))
			{
			if($i)
			$zapros .= "&";
			$zapros .= $index."=".$po;
			$i++;
			}
		}
	}

if($zapros) 
$adr=$adres."param_".$zapros;
else 
$adr=$adres;
}
else 
$adr='magazin/';

@header ("Location: ".$adr);
//echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=".$adr."'></HEAD></HTML>";

?>
